////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Glaskugel                                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2002-2004 by Christian Hesse                                 //
// Distributed under the terms of the GNU General Public License v2           //
////////////////////////////////////////////////////////////////////////////////

union
{
 difference
 {
  cylinder { <0, 0, 0>, <0, 7, 0>, 10 }
  cylinder { <0, 2, 0>, <0, 8, 0>, 6 }
  #declare i = 0;
  #while (i < 360)
   union
   {
    cylinder { <0, 3, 0>, <0, 5, 0,> 3 }
    sphere { <0, 0, 0>, 3 scale <1, 0.3, 1> translate <0, 3, 0> }
    sphere { <0, 0, 0>, 3 scale <1, 0.3, 1> translate <0, 5, 0> }
    scale <0.3, 1, 1> translate <10, 0, 0> rotate <0, i, 0>
   }
   #declare i = i + 30;
  #end
  object
  {
   Center_Object( text { ttf "luxisb.ttf" "N", 0.2, 0 }, x )
   scale <3, 3, 3> rotate <90, -90, 0> translate <9, 7.3, 0>
  }
  object
  {
   Center_Object( text { ttf "luxisb.ttf" "O", 0.2, 0 }, x )
   scale <3, 3, 3> rotate <90, -90, 0> translate <9, 7.3, 0> rotate <0, 90, 0>
  }
  object
  {
   Center_Object( text { ttf "luxisb.ttf" "S", 0.2, 0 }, x )
   scale <3, 3, 3> rotate <90, -90, 0> translate <9, 7.3, 0> rotate <0, 180, 0>
  }
  object
  {
   Center_Object( text { ttf "luxisb.ttf" "W", 0.2, 0 }, x )
   scale <3, 3, 3> rotate <90, -90, 0> translate <9, 7.3, 0> rotate <0, 270, 0>
  }
 }
 torus { 10, 0.3 translate <0, 7, 0> }
 torus { 6, 0.3 translate <0, 7, 0> }
 texture { T_Grnt24 }
}

cylinder
{
 <0, 1, 0>, <0, 5, 0>, 7
 finish { phong 0.7 reflection 0.1 } interior { ior 1.33 } pigment { White filter 0.5}
 normal { waves scale <0.5, 1, 0.5> }
}
light_source { <0, 3.5, 0> color Green fade_distance 15 fade_power 5 }
