////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Glaskugel                                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2002-2004 by Christian Hesse                                 //
// Distributed under the terms of the GNU General Public License v2           //
////////////////////////////////////////////////////////////////////////////////

// choose position by setting frame clock
// 0: default
// 1: neben Fuss der Saeule
// 2: neben Fuss des Rundbaus
// 3: zwischen dem Gelnder

#include "colors.inc"
#include "shapes.inc"
#include "stones.inc"

camera
{
#switch (clock)
 #case (0)
  location <20, 50, -53>
  look_at <0, 16, 0>
  #break
 #case (1)
  location <14, 5, -36>
  look_at <0, 10, 0>
  #break
 #case (2)
  location <35, 9, -90>
  look_at <0, 12, 0>
  #break
 #case (3)
  location <56, 8, -128>
  look_at <0, 12, 0>
#end
}

light_source { <-20, 50, -50> color <0.7, 0.3, 0.2> fade_distance 40 fade_power 1 }

#include "boden.inc"
#include "brunnen.inc"
#include "gelaender.inc"
#include "kugel.inc"
#include "rundbau.inc"
#include "saeulen.inc"
