////////////////////////////////////////////////////////////////////////////////
//                                                                            //
// Glaskugel                                                                  //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2002-2004 by Christian Hesse                                 //
// Distributed under the terms of the GNU General Public License v2           //
////////////////////////////////////////////////////////////////////////////////

#declare Fuss = difference
{
 union
 {
  cylinder { <0, 0, 0>, <0, 30, 0>, 3}
  torus { 3.5, 1 translate <0, 1, 0> }
  torus { 3, 1 translate <0, 1.5, 0> }
  torus { 3, 1 translate <0, 27, 0> }
  torus { 3.5, 1 translate <0, 27.5, 0> }
 }
 sphere { <0, 32, 0>, 5 }
 #declare i = 0;
 #while (i < 360)
  union
  {
   cylinder { <3, 4, 0>, <3, 24.5, 0>, 1 }
   sphere { <3, 4, 0>, 1 }
   sphere { <3, 24.5, 0>, 1 }
  rotate <0, i, 0>
  }
  #declare i = i + 30;
 #end
 translate <25, 0, 0>
 texture { T_Grnt20 }
}

#declare i = 0;
#declare orange = 0;
#while (i < 360)
 union
 {
  object { Fuss }
  #if (orange = 1)
   sphere
   {
    <25, 32, 0>, 5
    finish { phong 0.7 reflection 0.1 } interior{ ior 1.46 } pigment { Orange filter 1 }
   }
   #declare orange = 0;
  #else
   sphere
   {
    <25, 32, 0>, 5
    finish { phong 0.7 reflection 0.1 } interior{ ior 1.46 } pigment { rgbf <0, 0.5, 1, 1> }
   }
   #declare orange = 1;
  #end
  light_source
  {
   <25, 32, 0>
   color White area_light <0.2, 0, 0>, <0, 0, 0.2>, 2, 2 fade_distance 40 fade_power 2.5
  }
  rotate <0, i, 0>
 }
 #declare i = i + 45;
#end
